Subject: bug#66706: [PATCH] Automatic elisp dialect insertion

From: Nikolay Kudryavtsev <[email-masked]>
Date: Thu, 26 Oct 2023 14:06:52 +0300

Sure, knowing the difference is extremely helpful. But still, I think 
it's one of the more intermediate topics, which should be hidden from 
users up until they absolutely have to know about it.

The ideal of Emacs has always been about bringing the extensibility even 
to the non-technical people. Where someone could learn Elisp and use it 
even without any other technical background.

For someone like this, there's already a steep learning curve and a 
conscious effort must be still be expanded to keep that curve in check, 
and maybe even smoothen it where possible.